Package org.jcsp.lang

# Interface ConnectionFactory

All Known Implementing Classes:
  `StandardConnectionFactory`

public interface ConnectionFactory

Defines an interface for a factory than can create connections.

Author:
  Quickstone Technologies Limited

## Method Summary

Modifier and Type
Method
Description
`Any2AnyConnection`
`createAny2Any()`
Constructs and returns an implementation of `Any2AnyConnection`.
`Any2OneConnection`
`createAny2One()`
Constructs and returns an implementation of `Any2OneConnection`.
`One2AnyConnection`
`createOne2Any()`
Constructs and returns an implementation of `One2AnyConnection`.
`One2OneConnection`
`createOne2One()`
Constructs and returns an implementation of `One2OneConnection`.

## Method Details

### createOne2One

One2OneConnection createOne2One()
Constructs and returns an implementation of `One2OneConnection`.

Returns:
  the constructed `One2OneConnection` object.

### createAny2One

Any2OneConnection createAny2One()
Constructs and returns an implementation of `Any2OneConnection`.

Returns:
  the constructed `Any2OneConnection` object.

### createOne2Any

One2AnyConnection createOne2Any()
Constructs and returns an implementation of `One2AnyConnection`.

Returns:
  the constructed `One2AnyConnection` object.

### createAny2Any

Any2AnyConnection createAny2Any()
Constructs and returns an implementation of `Any2AnyConnection`.

Returns:
  the constructed `Any2AnyConnection` object.